#include <iostream>

using namespace std;

int main()
{
     int n,k;
     cin>>n>>k;
      int s1=0;
            int t;
            for(int i=0;i<n;i++)
            {
                cin>>t;
                if(t==0)
                    cout<<0;
                else
                {

                s1++;
                    if(s1>k)
                        cout<<1;

                }}
                return 0;
            }